
.expandButtonDetails {
	width: 70%;
	background-color: var(--main-color-1);
	border-radius: 8px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	margin: 10px 0 20px 0;
	padding: 5px 10px;
	transition: background-color 0.3s ease;
}
.expandButtonDetails.inGrammarExplanation {
	width: 100%;
}
.contentsSummary {
	font-size: 1.1em;
	font-weight: bold;
	color: var(--main-color-3);
	cursor: pointer;
	padding: 10px 15px;
	border-radius: 6px;
	background-color: #f1f1f1;
	transition: background-color 0.3s ease, color 0.3s ease;
}
.expandButtonDetails[open] {
	background-color: var(--main-color-0);
}
.expandButtonDetails[open] .contentsSummary {
	color: var(--main-color-3);
	background-color: #d1d6f0;
	border-radius: 6px;
	padding: 10px 15px;
}
.summarysContents{
	padding: 10px;
	background-color: #f1f1f1;
	border-radius: 8px;
	margin: 10px 15px;
	/* margin-top: 10px; */
}
.summarysContents.inGrammarExplanation{
	margin: 10px 0;
}
.summarysContents.noBackground{
	background-color: var(--main-color-0);
	margin-top: 0px;
	margin-bottom: 0px;
}

/* ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー */
/* 付箋風タグ */
.heading.tag {
	text-decoration: none;
	padding: 0.5rem;
	border-left: solid 6px;
	box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.22);
}
.heading.tagGrammarView {
	text-decoration: none;
	margin-bottom: 5px;
	padding: 0.5rem;
	border-left: solid 6px;
	box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.22);
}

.heading.colorPurple {
	border-left-color: var(--main-color-3);
	color: var(--main-color-3);
}
.heading.colorPurpleBlack {
	border-left-color: var(--main-color-3);
	color: #000;
}
.heading.colorOrangeRed {
	border-left-color: orangered;
	color: #000;
}
.heading.colorLightGray {
	border-left-color: var(--sticky-color-back);
	color: #000;
}

.heading.colorNothing {
	border-left: solid 6px transparent;
	color: #000;
}

.heading.withBackgroundColor {
	background-color: var(--sticky-color-back);
}
.heading.rounded {
	border-radius: 4px;
}